Package org.apache.tools.ant.types.resources.comparators

# Class Content

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.resources.comparators.ResourceComparator
org.apache.tools.ant.types.resources.comparators.Content

All Implemented Interfaces:
  `Cloneable`, `Comparator<Resource>`

public class Content extends ResourceComparator
Compares Resources by content.

Since:
  Ant 1.7

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Content()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isBinary()`
  Learn whether this Content ResourceComparator is operating in binary mode.
  `protected int`
  `resourceCompare(Resource foo, Resource bar)`
  Compare two Resources by content.
  `void`
  `setBinary(boolean b)`
  Set binary mode for this Content ResourceComparator.

  ### Methods inherited from class org.apache.tools.ant.types.resources.comparators.ResourceComparator

  `compare, equals, hashCode`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### Content

    public Content()

- ## Method Details

  - ### setBinary

    public void setBinary(boolean b)
    Set binary mode for this Content ResourceComparator. If this attribute is set to false, Resource content will be compared ignoring platform line-ending conventions. Default is `true`.
    Parameters:
      `b` - whether to compare content in binary mode.

  - ### isBinary

    public boolean isBinary()
    Learn whether this Content ResourceComparator is operating in binary mode.
    Returns:
      boolean binary flag.

  - ### resourceCompare

    protected int resourceCompare(Resource foo, Resource bar)
    Compare two Resources by content.
    Specified by:
      `resourceCompare` in class `ResourceComparator`
    Parameters:
      `foo` - the first Resource.
      `bar` - the second Resource.
    Returns:
      a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.
    Throws:
      `BuildException` - if I/O errors occur.
    See Also:
      - `ResourceUtils.compareContent(Resource, Resource, boolean)`